%define grassfix 64

# %%{_bindir}/nviz is included in grass
%define _requires_exceptions nviz

Name:		grass
Version:	6.4.2
Release:	%mkrel 1
Group:		Sciences/Geosciences
Summary:	Geographic Resources Analysis Support System
License:	GPLv2+
URL:		http://grass.osgeo.org/
Source:		http://grass.osgeo.org/grass%{grassfix}/source/grass-%{version}.tar.gz
Source2:	grass5_48.png
Source3:	grass5_32.png
Source4:	grass5_16.png
Patch0:		grass-6.4.1-ffmpeg0.8.patch
Patch1:		grass-6.4.1-raster-routpng.patch
BuildRequires:	libxmu-devel
BuildRequires:	png-devel 
BuildRequires:	jpeg-devel 
BuildRequires:	tiff-devel 
BuildRequires:	gd-devel >= 2.0 
BuildRequires:	freetype2-devel
BuildRequires:	cairo-devel
BuildRequires:	MesaGLU-devel 
BuildRequires:	unixODBC-devel 
BuildRequires:	fftw-devel 
BuildRequires:	lesstif-devel
BuildRequires:	tk tk-devel
BuildRequires:	ncurses-devel 
BuildRequires:	zlib-devel 
BuildRequires:	gdbm-devel 
BuildRequires:	readline-devel 
BuildRequires:	postgresql-devel
BuildRequires:	gcc-gfortran 
BuildRequires:	gdal-devel 
BuildRequires:	flex
BuildRequires:	swig 
BuildRequires:	bison
BuildRequires:	proj-devel proj >= 4.4.7
BuildRequires:	tcl tcl-devel
BuildRequires:	fftw-devel
BuildRequires:	cfitsio-devel
BuildRequires:	unixODBC-devel
BuildRequires:	mysql-devel
BuildRequires:	termcap-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	python-devel
BuildRequires:	libwxPythonGTK-devel
BuildRequires:	sqlite-devel
BuildRequires:	lzma

Requires:	xterm 
Requires:	tk 
Requires:	tcl

Obsoletes:	grass57

%description
GRASS (Geographic Resources Analysis Support System) is an 
open source, Free Software Geographical Information System (GIS)
with raster, topological vector, image processing, and graphics
production functionality that operates on various platforms 
through a graphical user interface and shell in X-Window.

%prep
%setup -q -n %name-%{version}
%patch0 -p0
#%patch1

%build
%define __cputoolize true
%define Werror_cflags %nil
%configure2_5x --host=%{_host} \
%if "%_lib" != "lib"
	--enable-64bit \
%endif
	--with-dbm-includes=%{_includedir}/gdbm/ \
	--with-postgres \
	--with-postgres-includes=%{_includedir}/ \
	--with-freetype \
	--with-freetype-includes=%{_includedir}/freetype2 \
	--with-motif \
	--with-cairo \
	--with-opengl-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-includes=%{_includedir} \
	--with-gdal  \
	--with-mysql --with-mysql-includes=%{_includedir}/mysql \
	--with-odbc \
	--enable-largefile \
	--with-ffmpeg --with-ffmpeg-includes="%{_includedir}/libavcodec \
	%{_includedir}/libavdevice \
	%{_includedir}/libavformat %{_includedir}/libavutil \
	%{_includedir}/libpostproc %{_includedir}/libswscale" \
	--with-curses \
	--with-python --with-wxwidgets="%{_bindir}/wx-config"\
	--with-sqlite \
	--with-cxx \
	--with-proj-share=%{_datadir}/proj \
	--with-nls \
	--with-readline

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
#%makeinstall_std INST_DIR=%{_libdir}/grass%{grassfix}
# Actions in make install that don't take into account packaging in a place different to running:
sed -e 's|^GISBASE.*|GISBASE=%{_libdir}/grass%{grassfix}|' \
 bin.%{_target_platform}/grass%{grassfix} > %{buildroot}/%{_bindir}/grass%{grassfix}
chmod a+x %{buildroot}/usr/bin/grass%{grassfix}

mkdir -p %{buildroot}/%{_libdir}/grass%{grassfix}
cp -a dist.%{_target_platform}/* %{buildroot}/%{_libdir}/grass%{grassfix}

# Add makefiles to includes:
cp -a include/Make %{buildroot}/%{_libdir}/grass%{grassfix}/include/

# Manually archive the man pages:
lzma %{buildroot}/%{_libdir}/grass%{grassfix}/man/man?/*

mkdir %{buildroot}/%{_libdir}/grass%{grassfix}/locks/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

install -m644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE4} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Grass%{grassfix}
Comment=Geographic Resources Analysis Support System
Exec=grass%{grassfix} 
Icon=%{name}
Terminal=true
Type=Application
Categories=Science;Geology;
EOF

mkdir -p %{buildroot}%_sysconfdir/ld.so.conf.d
cat > %{buildroot}%_sysconfdir/ld.so.conf.d/grass.conf << EOF
%{_libdir}/grass%{grassfix}/lib
EOF

%files
%doc AUTHORS COPYING INSTALL README CHANGES
%attr(0755,root,root) %{_bindir}/*
%{_sysconfdir}/ld.so.conf.d/*
%{_libdir}/grass%{grassfix}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/*/*/*/*
%attr(1777,root,root) %{_libdir}/grass%{grassfix}/locks


%changelog

* Wed Mar 07 2012 matteo <matteo> 6.4.2-1.mga2
+ Revision: 221324
- new version 6.4.2

* Mon Feb 13 2012 dmorgan <dmorgan> 6.4.1-12.mga2
+ Revision: 208362
- mesaglw-devel does not exist anymore, so remove from buildrequires

* Fri Dec 23 2011 fwang <fwang> 6.4.1-11.mga2
+ Revision: 186521
- rebuild for new libtiff

* Sat Dec 10 2011 eatdirt <eatdirt> 6.4.1-10.mga2
+ Revision: 180291
- Rebuilt for fftw-3.3

* Thu Dec 08 2011 fwang <fwang> 6.4.1-9.mga2
+ Revision: 178843
- rebuild for new odbc

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 6.4.1-8.mga2
+ Revision: 161927
- rebuild against new geos

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 6.4.1-7.mga2
+ Revision: 149568
- rebuild against new geos and changes in gdal

* Sat Sep 17 2011 matteo <matteo> 6.4.1-6.mga2
+ Revision: 144502
- added patch to support libpng15

  + fwang <fwang>
    - wrong linkage for grass

* Fri Sep 16 2011 matteo <matteo> 6.4.1-5.mga2
+ Revision: 144291
- patch to let grass compile using libpng12 (atm grass do not compile with default libpng15)

  + fwang <fwang>
    - rebuild for new libpng

* Mon Jul 11 2011 ahmad <ahmad> 6.4.1-4.mga2
+ Revision: 122159
- Add a _requires_exceptions for nviz, already included in grass

* Wed Jul 06 2011 fwang <fwang> 6.4.1-3.mga2
+ Revision: 119180
- rebuild for new tcl

* Tue Jun 28 2011 fwang <fwang> 6.4.1-2.mga2
+ Revision: 115123
- rebuild

* Fri Jun 24 2011 fwang <fwang> 6.4.1-1.mga2
+ Revision: 113060
- more ffmpeg 0.8 patch
- fix build with ffmpeg 0.8
- new version 6.4.1

* Tue Apr 26 2011 wally <wally> 6.4.0-9.mga1
+ Revision: 91669
- fix desktop file (mga#954)

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 6.4.0-8.mga1
+ Revision: 89183
- rebuild agains new libgdal-1.8.0

* Wed Mar 30 2011 ahmad <ahmad> 6.4.0-7.mga1
+ Revision: 79121
- modify wx-config path in the configure option

  + ennael <ennael>
    - clean spec file
    - imported package grass

